# PacketLogger.h File Reference

This will write all incoming and outgoing network messages to the local console screen. See derived functions for other outputs. More...

`#include "NativeFeatureIncludes.h"`
`#include "RakNetTypes.h"`
`#include "PluginInterface2.h"`
`#include "Export.h"`

## Classes
class | PacketLogger
| Writes incoming and outgoing messages to the screen. This will write all incoming and outgoing messages to the console window, or to a file if you override it and give it this functionality. More...

## Detailed Description

This will write all incoming and outgoing network messages to the local console screen. See derived functions for other outputs.

This file is part of RakNet Copyright 2003 Jenkins Software LLC

Usage of RakNet is subject to the appropriate license agreement.